List number registrations
curl --request GET \
--url https://api.revdesk.com/v1/number-registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.revdesk.com/v1/number-registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revdesk.com/v1/number-registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"registration_id": "<string>",
"phone_number": "<string>",
"status": "<string>",
"source": "<string>",
"hosted": true,
"monthly_rate_dc": 123,
"registered_at": "<string>",
"cancelled_at": "<string>",
"created_at": "<string>"
}
],
"meta": {
"page_size": 123,
"cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Number Registration
List number registrations
Your workspace’s Free Caller Registry registrations, oldest first, cursor-paged. Filter by status (pending, submitted, active, failed, cancelled) or an exact phone_number.
GET
/
v1
/
number-registrations
List number registrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Available options:
pending, submitted, active, failed, cancelled ⌘I